Update an impersonation registry entry
PATCH/accounts/{account_id}/email-security/settings/impersonation_registry/{impersonation_registry_id}
Updates an existing impersonation registry entry. Only provided fields will be modified. Directory-synced entries can’t be updated.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Path Parameters
Body ParametersJSON
Update an impersonation registry entry
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/email-security/settings/impersonation_registry/$IMPERSONATION_REGISTRY_ID \
-X PATCH \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"email": "john.doe@example.com",
"name": "John Doe"
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"comments": "comments",
"created_at": "2014-01-01T05:20:00.12345Z",
"directory_id": 0,
"directory_node_id": 0,
"email": "john.doe@example.com",
"external_directory_node_id": "external_directory_node_id",
"is_email_regex": false,
"last_modified": "2014-01-01T05:20:00.12345Z",
"modified_at": "2014-01-01T05:20:00.12345Z",
"name": "John Doe",
"provenance": "A1S_INTERNAL"
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"comments": "comments",
"created_at": "2014-01-01T05:20:00.12345Z",
"directory_id": 0,
"directory_node_id": 0,
"email": "john.doe@example.com",
"external_directory_node_id": "external_directory_node_id",
"is_email_regex": false,
"last_modified": "2014-01-01T05:20:00.12345Z",
"modified_at": "2014-01-01T05:20:00.12345Z",
"name": "John Doe",
"provenance": "A1S_INTERNAL"
}
}